{
"id": "<string>",
"createdAt": "2026-03-29T12:00:00.000Z",
"type": "email.sent",
"data": {
"id": "<string>",
"orgId": "org_01ka8k8s80gvx9604cn9am5st4",
"messageId": "<string>",
"sentAt": "<string>",
"enqueuedAt": "<string>",
"domainName": "<string>",
"domainId": "<string>",
"from": "Tomlinson AI <ray@info.tomlinson.ai>",
"to": "brian67@gmail.com",
"subject": "Verify your email address",
"send": {},
"bulkId": "<string>",
"broadcastId": "<string>",
"cc": "carlo43@gmail.com",
"bcc": "archive@company.com",
"replyTo": "support@company.com",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"tags": {}
}
}Webhooks Hook
Webhook endpoint
Endpoint your application exposes to receive webhook events from Nuntly. The request body is a single event from the WebhookEvent discriminated union, the event types a webhook delivers.
WEBHOOK
webhook-endpoint
{
"id": "<string>",
"createdAt": "2026-03-29T12:00:00.000Z",
"type": "email.sent",
"data": {
"id": "<string>",
"orgId": "org_01ka8k8s80gvx9604cn9am5st4",
"messageId": "<string>",
"sentAt": "<string>",
"enqueuedAt": "<string>",
"domainName": "<string>",
"domainId": "<string>",
"from": "Tomlinson AI <ray@info.tomlinson.ai>",
"to": "brian67@gmail.com",
"subject": "Verify your email address",
"send": {},
"bulkId": "<string>",
"broadcastId": "<string>",
"cc": "carlo43@gmail.com",
"bcc": "archive@company.com",
"replyTo": "support@company.com",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"tags": {}
}
}Body
application/json
Nuntly webhook event payload
- email.sent
- email.delivered
- email.opened
- email.clicked
- email.bounced
- email.complained
- email.rejected
- email.deliveryDelayed
- email.failed
- message.received
- message.security.flagged
- message.agent.triggered
- message.sent
- message.rejected
The events a webhook can deliver. A webhook receives only the types it subscribes to.
Response
200
Webhook received successfully
